// cfg_Settings.h: interface for the cfg_Settings class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CFG_SETTINGS_H__F1721417_2DE0_400D_AD5D_0E5330CB3102__INCLUDED_)
#define AFX_CFG_SETTINGS_H__F1721417_2DE0_400D_AD5D_0E5330CB3102__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <qsplitter.h> 
#include <qsize.h>
#include <qsettings.h>
#include <qListView.h>
#include <qTable.h>

class cfg_Settings  
{
private:
	//static QSettings settings;
	cfg_Settings() {};
	virtual ~cfg_Settings() {};
public:
	static void saveState(QString csv, QString control_name);
	static void saveState(QListView *listView, QString control_name);
	static void saveState(QTable *table, QString control_name);
	static void saveState(QSplitter *splitter, QString control_name);
	static void saveState(const QPoint &point, const QSize &size, const bool &maximized, QString control_name);

	static QString loadState(QString control_name);
	static void loadState(QListView *listView, QString control_name);
	static void loadState(QTable *table, QString control_name);
	static void loadState(QSplitter *splitter, QString control_name);
	static void loadState(QPoint &point, QSize &size, bool &maximized, QString control_name);
};

#endif // !defined(AFX_CFG_SETTINGS_H__F1721417_2DE0_400D_AD5D_0E5330CB3102__INCLUDED_)
